OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
SwappedCombineOp< ValueType, CombineOp > Struct Template Reference

`#include <openvdb/Types.h>`

## Public Member Functions
| SwappedCombineOp (CombineOp &_op)
void | operator() (CombineArgs< ValueType > &args)

## Public Attributes
CombineOp & | op

## Detailed Description

template<typename ValueType, typename CombineOp>
struct openvdb::v11_0::SwappedCombineOp< ValueType, CombineOp >

This struct adapts a "grid combiner" functor to swap the A and B grid values (e.g., so that if the original functor computes a + 2 * b, the adapted functor will compute b + 2 * a).

## Constructor & Destructor Documentation

## ◆ SwappedCombineOp()

template<typename ValueType , typename CombineOp >

SwappedCombineOp | ( | CombineOp & | _op | ) |
| inline

## Member Function Documentation

## ◆ operator()()

template<typename ValueType , typename CombineOp >

void operator() | ( | CombineArgs< ValueType > & | args | ) |
| inline

## Member Data Documentation

## ◆ op

template<typename ValueType , typename CombineOp >

CombineOp& op